﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.ViewFeatures;
using Razor_PartialView_EF_Core.Models;

namespace Razor_PartialView_EF_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public List<Customer> Customers { get; set; }

        public void OnGet()
        {
            this.Customers = (from customer in this.Context.Customers.Take(10)
                              select customer).ToList();
        }

        public PartialViewResult OnPostGetDetails(string customerId)
        {
            return new PartialViewResult
            {
                ViewName = "Details",
                ViewData = new ViewDataDictionary<Customer>(ViewData, this.Context.Customers.Find(customerId))
            };
        }
    }
}